Bug 171470 - New port: finance/trytond_party_siret
Summary: New port: finance/trytond_party_siret
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 20:30 UTC by Matthias Petermann
Modified: 2012-09-19 15:40 UTC (History)
0 users

See Also:


Attachments
file.shar (5.72 KB, text/plain)
2012-09-08 20:30 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-08 20:30:02 UTC
This port adds the Party Siret Module to the Tryton Application Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-09 14:12:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 Boris Samorodov freebsd_committer 2012-09-19 14:51:56 UTC
Responsible Changed
From-To: wen->bsam

I'll help Wen to adopt the port.
Comment 3 Boris Samorodov freebsd_committer 2012-09-19 15:37:53 UTC
State Changed
From-To: open->closed

Committed, thanks.
Comment 4 dfilter service freebsd_committer 2012-09-19 15:37:59 UTC
Author: bsam
Date: Wed Sep 19 14:37:45 2012
New Revision: 304526
URL: http://svn.freebsd.org/changeset/ports/304526

Log:
  Add trytond_party_siret 2.4.0, tryton Application Platform (Party Siret
  Module).
  
  PR:		ports/171470
  Submitted by:	matthias@petermann.it

Added:
  head/finance/trytond_party_siret/
  head/finance/trytond_party_siret/Makefile   (contents, props changed)
  head/finance/trytond_party_siret/distinfo   (contents, props changed)
  head/finance/trytond_party_siret/pkg-descr   (contents, props changed)
  head/finance/trytond_party_siret/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Wed Sep 19 14:36:42 2012	(r304525)
+++ head/finance/Makefile	Wed Sep 19 14:37:45 2012	(r304526)
@@ -129,6 +129,7 @@
     SUBDIR += trytond_ldap_authentication
     SUBDIR += trytond_ldap_connection
     SUBDIR += trytond_party
+    SUBDIR += trytond_party_siret
     SUBDIR += trytond_product
     SUBDIR += trytond_product_cost_fifo
     SUBDIR += trytond_product_cost_history

Added: head/finance/trytond_party_siret/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_siret/Makefile	Wed Sep 19 14:37:45 2012	(r304526)
@@ -0,0 +1,20 @@
+# Created by: Matthias Petermann<matthias@petermann.it>
+# $FreeBSD$
+
+PORTNAME=	trytond_party_siret
+PORTVERSION=	2.4.0
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Party Siret Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_party>=2.4.0:${PORTSDIR}/finance/trytond_party
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_party_siret/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_siret/distinfo	Wed Sep 19 14:37:45 2012	(r304526)
@@ -0,0 +1,2 @@
+SHA256 (trytond_party_siret-2.4.0.tar.gz) = 449d001b8605aa5312935671a6407ce8ab91679f3d2a3817d6c3b28edd75e27e
+SIZE (trytond_party_siret-2.4.0.tar.gz) = 19629

Added: head/finance/trytond_party_siret/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_siret/pkg-descr	Wed Sep 19 14:37:45 2012	(r304526)
@@ -0,0 +1,3 @@
+This port adds the Party Siret Module to the Tryton Application Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_party_siret/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_party_siret/pkg-plist	Wed Sep 19 14:37:45 2012	(r304526)
@@ -0,0 +1,47 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/address.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/address.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/address.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/address.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/luhn.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/luhn.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/luhn.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/party.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/party.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/party.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/party.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests/test_party_siret.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests/test_party_siret.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests/test_party_siret.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/party_siret
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"